Skip to main content
GET
/
{alias}
/
pricing
/
free-shipment
Listar regras de frete grátis
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/pricing/free-shipment \
  --header 'Content-Type: application/json' \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>' \
  --data '
{
  "rules": [
    {
      "uf": "SP",
      "min": 199,
      "shipment_service_id": 6,
      "service_name": "pac"
    }
  ]
}
'
import requests

url = "https://api.dooki.com.br/v2/{alias}/pricing/free-shipment"

payload = { "rules": [
{
"uf": "SP",
"min": 199,
"shipment_service_id": 6,
"service_name": "pac"
}
] }
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}

response = requests.get(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'User-Token': '<api-key>',
'User-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({rules: [{uf: 'SP', min: 199, shipment_service_id: 6, service_name: 'pac'}]})
};

fetch('https://api.dooki.com.br/v2/{alias}/pricing/free-shipment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "shipment_service_id": 123,
      "uf": "SP",
      "min": 199,
      "service_name": "sedex"
    }
  ],
  "excluded_brands_ids": [
    123
  ],
  "excluded_categories_ids": [
    123
  ],
  "excluded_products_ids": [
    31055
  ],
  "excluded_products_ids_merged": [
    31055
  ],
  "date": "2000-08-17 10:24:24",
  "timezone_type": 3,
  "timezone": "America/Sao_Paulo"
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Body

application/json
rules
object[]

Response

Lista de regras de frete grátis

data
Dados de frete grátis · object[]
excluded_brands_ids
integer[]
excluded_categories_ids
integer[]
excluded_products_ids
integer[]
excluded_products_ids_merged
integer[]
date
string

Data e hora no formato YYYY-MM-DD H:MM:SS.

Example:

"2000-08-17 10:24:24"

timezone_type
integer

Número de representação do timezone.

Example:

3

timezone
string

Fuso horário associado.

Example:

"America/Sao_Paulo"